Questão Como instalar o Eclipse?


Eu quero instalar a última versão do Eclipse, mas o Ubuntu Software Center contém uma versão mais antiga.

Existe um PPA ou alguma outra maneira de instalar o último Eclipse? Por favor descreva os passos para instalação completa.


194
2018-02-16 11:54


origem


Você já tentou instalá-lo da USC? - Mitch♦
USC? o que você quer dizer com isso ? Eu sou novo no Ubuntu - Ant's
'Ubuntu Software Center', como mostrado abaixo. Eu instalei o Eclipse em alguns computadores diferentes usando o método do centro de software como mostrado - e depois o PyDev de dentro do Eclipse. Funciona bem. - memilanuk
@memilanuk Infelizmente, se você fizer isso, terá de suportar uma versão com quase 2 anos de idade. - Jon Bentley
@memilanuk Claro. Eu li as datas. Meu comentário não é menos válido para alguém que está lendo o tópico hoje do que era naquela época - o pacote que está desatualizado é mencionado no OP (em 2011) como a motivação para a pergunta. O ponto é que os repositórios do Ubuntu não são uma boa fonte para obter a versão mais recente deste pacote em particular. - Jon Bentley


Respostas:


Se você baixou o Eclipse do site oficial, siga estas etapas para a instalação.

  1. Extraia o eclipse.XX.YY.tar.gz usando

    tar -zxvf eclipse.XX.YY.tar.gz
    
  2. Torne-se root e copie a pasta extraída para /opt

    sudo mv eclipse.XX.YY /opt
    
  3. Crie um arquivo da área de trabalho e instale-o:

    gedit eclipse.desktop
    

    e copie o seguinte para o eclipse.desktop Arquivo

    [Desktop Entry]
    Name=Eclipse 
    Type=Application
    Exec=env UBUNTU_MENUPROXY=0 eclipse44
    Terminal=false
    Icon=eclipse
    Comment=Integrated Development Environment
    NoDisplay=false
    Categories=Development;IDE;
    Name[en]=Eclipse
    

    e certifique-se de que tem permissão executável, em seguida, execute o seguinte comando para instalá-lo automaticamente na unidade:

    sudo desktop-file-install eclipse.desktop
    
  4. Crie um symlink em /usr/local/bin usando

    sudo ln -s /opt/eclipse/eclipse /usr/local/bin/eclipse44
    
  5. Para o ícone do eclipse a ser exibido no traço, o ícone do eclipse pode ser adicionado como

    sudo cp /opt/eclipse/icon.xpm /usr/share/pixmaps/eclipse.xpm
    
  6. Não se esqueça de que você precisa ter o OpenJDK ou o Sun Java instalado para poder executar o eclipse. Verifica essa questão para mais informações sobre a instalação do Java. Aqui está um exemplo simples de instalar o Open JDK 1.6:

    sudo apt-get install openjdk-6-jdk
    
  7. Ative o Eclipse e, em seguida, conceda as permissões necessárias para modificar o arquivo osgi:

    sudo chown -R $USER:$USER /opt/eclipse/configuration/org.eclipse.osgi
    

    NB! Você deve iniciar o Eclipse primeiro, porque o org.eclipse.osgi diretório é criado só depois o primeiro lançamento.

É isso aí.


242
2018-04-03 00:14



Eu recomendo que, com uma pequena alteração: Use a versão do eclipse ao criar um link simbólico (por exemplo: ln -s /opt/eclipse/eclipse /usr/local/bin/eclipse42), E use Exec=eclipse42 na entrada da área de trabalho. Dessa forma, você poderá instalar várias versões diferentes do eclipse. - ortang
Não se esqueça de que você precisa ter o OpenJDK ou o Sun Java instalado para poder executar o eclipse. Execute sudo apt-get install openjdk-6-jdk ou confira este link para Sun Java ubuntugeek.com/… - Andy Braham
Também vale a pena notar que para 13.10, eclipse.desktop necessidades Exec=env UBUNTU_MENUPROXY=0 eclipse para que os menus funcionem por stackoverflow.com/questions/19452390 - TimD
Funciona para mim, exceto que o /opt/eclipse/configuration/org.eclipse.osgi não existe ... - Gerhard Burger
@GerhardBurger Parece que a pasta "/opt/eclipse/configuration/org.eclipse.osgi" não existe até que o próprio Eclipse seja iniciado ... - dtmland


12,04 LTS

O método preferido: Centro de Software

  1. No centro de software do Ubuntu, selecione Eclipse. Eu instalei o Extensible Tool Platform e o Java IDE também, mas a instalação é opcional.

    eclipse in software center

  2. Digite sua senha na caixa de diálogo de autenticação. Isso vai te dar 3.7.1 dentro de um sistema de gerenciamento de pacotes.

Opções alternativas

O próximo método mais preferido: PPA

A partir deste momento, o PPA da equipe do eclipse não possui um pacote de eclipse para 12.04. Vou atualizar a resposta enquanto as coisas se desenvolvem.

Quando estiver disponível, se você já instalou via Centro de Software:

sudo add-apt-repository ppa:eclipse-team/ppa
sudo apt-get update
sudo apt-get upgrade

O método menos preferido: portátil

Para uma instalação portátil, você ainda pode baixar diretamente do Site do Eclipse. Isso permite personalizar várias instalações do Eclipse para diferentes idiomas, por exemplo, CDT, Java e PyDev ou Aptana. Não permite atualizações automáticas. A instalação através do Centro de Software é sempre o método preferido.

Eu testei o portátil 3.7.1 e 3.7.2 bolas de alcatrão e eles funcionam muito bem em 12.04 LTS.

Uma desvantagem adicional às instalações portáteis é que você precisa atualizar seu lançador se mover a pasta ou iniciá-la diretamente.


52
2017-11-20 22:12



Eu segui o "método preferido", mas curioso para saber por que isso é mais preferível do que os outros? - T. Webster
Pesquise no site por perguntas sobre aplicativos java que não aparecem no alternador de aplicativos e outras coisas (problemas reproduzíveis, por exemplo). Eu não tenho esses problemas quando eu instalo a partir do repo, mas as pessoas queixam-se deles consistentemente quando uma instalação de recompra teria evitado o problema em vez de exigir uma bandeja de queijo. - RobotHumans
Bem, o método preferido definitivamente instalado corretamente para mim. Obrigado, caso contrário, eu teria escolhido o método messier - T. Webster
Esse método é definitivamente mais fácil, embora eu possa combiná-lo com o método de resposta aceito para o atalho launcher / desktop. - ashes999
@ Seanny123 O PPA não foi atualizado desde antes de 12.04. Essa resposta já existe há algum tempo. - RobotHumans


Como instalar o Eclipse 4.2 no Ubuntu 12.04

Como os pacotes do Eclipse nos repositórios do Ubuntu estão desatualizados, se quisermos instalar os últimos lançamentos, vamos ter que fazê-lo manualmente. Você pode simplesmente baixar o arquivo tar.gz de eclipse.org.

  1. Baixar Eclipse. Eu tenho eclipse-jee-juno-SR1-linux-gtk.tar.gz

  2. Extraia executando uma linha de comando

    tar -xzf eclipse-jee-juno-SR1-linux-gtk.tar.gz
    

    Ou com extração do Gerenciador de arquivos.

  3. Mover a pasta eclipse extraída para /opt/ folder

    mv eclipse /opt/
    sudo chown -R root:root /opt/eclipse
    sudo chmod -R +r /opt/eclipse
    
  4. Crie um executável do eclipse no caminho do usuário

    sudo touch /usr/bin/eclipse
    sudo chmod 755 /usr/bin/eclipse
    

    Crie um arquivo chamado eclipse dentro /usr/bin/ com o seu editor preferido (nano, gedit, vi...)

    Copie isso para ele

    #!/bin/sh    
    export ECLIPSE_HOME="/opt/eclipse"
    $ECLIPSE_HOME/eclipse $*
    

    E salve o arquivo

  5. Criar um item de menu do Gnome

    Crie um arquivo chamado eclipse.desktop dentro /usr/share/applications/ com o seu editor preferido (nano, gedit, vi...)

    Copie isso para ele

    [Desktop Entry]
    Encoding=UTF-8
    Name=Eclipse
    Comment=Eclipse IDE
    Exec=eclipse
    Icon=/opt/eclipse/icon.xpm
    Terminal=false
    Type=Application
    Categories=GNOME;Application;Development;
    StartupNotify=true
    

    E salve o arquivo

  6. Lançar o Eclipse

    /opt/eclipse/eclipse -clean &

  7. Agora você pode bloquear o Eclipse na barra de inicialização clicando no botão direito Bloquear para o Laucher


37
2018-02-16 12:12



Boas instruções, mas acho que você não deveria chown e chmod a pasta / opt / eclipse. Eu não consegui instalar plugins depois de fazer isso. - TomTasche
Como no ponto 3, mas com o usuário normal? - Joe
Simplesmente não faça nada, exceto mv eclipse /opt/ no passo 3. - TomTasche
A última linha do arquivo de script deve ser $ECLIPSE_HOME/eclipse "$@" não $ECLIPSE_HOME/eclipse $*. Isso preservará coisas como argumentos com espaços neles. - jbo5112
Você provavelmente deveria usar /usr/local/bin ao invés de /usr/bin - kzh


Eu recomendo que você baixe diretamente do site eclipse. o processo de instalação muito fácil, basta extrair os arquivos tar.gz, para removê-lo também é bastante fácil, simplesmente excluindo a pasta eclipse: D


17
2018-05-31 10:46



Eu concordo com isto. A maioria dos usuários será atendida perfeitamente instalando o Eclipse em seus próprios diretórios, apenas para eles. O gerenciador de pacotes integrado do Eclipse pode ser usado para mantê-lo atualizado e instalar novos componentes. Usuários diferentes na mesma máquina provavelmente instalarão pacotes diferentes para o Eclipse e podem até querer usar diferentes versões principais. Similarmente, para versões do Eclipse que fornecem um executável do instalador, a maioria dos usuários ainda desejará instalar em seus diretórios home (e não alterar propriedade ou permissões). - Eliah Kagan


Na sua área de trabalho, clique no Ubuntu Software Center enter image description here

Uma vez aberto, faça uma pesquisa pelo Eclipse

enter image description here

enter image description here

Quando a pesquisa estiver concluída, você verá o Eclipse listado. tudo o que você precisa fazer é clicar em instalar, sentar e relaxar até que a instalação esteja concluída.

Se você ainda tiver alguma dúvida, não hesite em perguntar.


11
2018-05-31 10:48



Como instalamos o eclipse versão 4.2 (SR2) com o Ubuntu Software Center? Aparece a versão 3.8 - Joe
Usando o USC praticamente sempre puxa para baixo uma versão (ou seja o que for que você está depois), que é de 2 anos de idade. Aparentemente, levaria muito tempo para alguém verificar se a versão mais recente de programas grandes e populares funciona na última versão do ubuntu.


Estas são as instruções copiadas de http://www.inforbiro.com/blog-eng/ubuntu-12-04-eclipse-installation/

Como instalar a plataforma Eclipse IDE no Ubuntu 12.04 LTS Pangolin Preciso

1) Abra um terminal e insira o comando

sudo apt-get install eclipse-platform

2) Depois que o Eclipse for instalado, você poderá instalar plug-ins de desenvolvimento com base em suas necessidades, por exemplo:

irá instalar o pacote Java Development Tools (JDT) para o Eclipse

sudo apt-get install eclipse-jdt

irá instalar pacotes de ferramentas de desenvolvimento C / C ++ para o Eclipse

sudo apt-get install eclipse-cdt

10
2017-09-24 08:11





Você pode usar ubuntu-make para instalar o Eclipse no Ubuntu:

Instalando o Ubuntu Make:

Para o Ubuntu 14.04 LTS:

sudo add-apt-repository ppa:ubuntu-desktop/ubuntu-make
sudo apt-get update
sudo apt-get install ubuntu-make

Para o Ubuntu 16.04 LTS e mais recente:

O Ubuntu make já está nos repositórios oficiais.

sudo apt-get install ubuntu-make

Instalando o Eclipse:

umake ide eclipse

Desinstale o Eclipse:

umake ide eclipse --remove

8
2018-02-16 14:22



ele instala o eclipse mais recente? - Soumyadip Das
"O Ubuntu make está buscando sempre a versão mais recente do upstream ..." - Wiki do Ubuntu  ;) - hg8
No Ubuntu 16.10, usei os repositórios oficiais para instalar o Ubuntu Make 16.05. Ubuntu faz choramingar sobre o download page changed its syntax or is not parsable. Eu resolvi isso seguindo as instruções desta resposta para as versões mais antigas do Ubuntu. Ou seja, eu adicionei o repositório manualmente e, em seguida, instalei o Ubuntu make e, em seguida, instalei o Eclipse. - Martin Andersson
Para roteirizar a instalação de ambos, eu fiz primeiro sudo add-apt-repository -y ppa:ubuntu-desktop/ubuntu-make, então sudo apt-get update, finalmente sudo umake ide eclipse-jee dest-dir=/apps/eclipse. - Martin Andersson
Atualmente, ele busca Eclipse Java EE IDE para desenvolvedores da Web, Versão: Neon.2 Release (4.6.2), ID Build: 20161208-0600 - Michael S.


Sempre baixe o eclipse empacotado de seu site. É melhor para você colocar o eclipse.tar.gz em seu diretório opt e criar simbólico para ele e usar isso em torno de seu sistema.

Então, se você acabar atualizando no futuro, todos os seus atalhos e links não morrerão.

Essa é a configuração preferida do eclipse. IMO


6
2018-01-19 22:29